Open topic with navigation

TIBCO BusinessEvents® Enterprise Edition 6.3.1

# BusinessEvents Enterprise Administrator Agent Configuration Reference

The BusinessEvents Enterprise Administrator Agent properties file provides you with various configuration properties for the agent.

The BusinessEvents Enterprise Administrator Agent properties file is located at BE_HOME\teagent\config\be-teagent.props.

- General Configurations

- JMX Authentication Configurations

- Log Action Configurations

- Email Action Configurations

- SSH Configurations

- Localization Configurations

- Persistence Configurations

Caution: Code snippets in the PDF can have undesired line breaks because of space constraints. Before directly copying and running them in your program, they must be verified.

## General Configurations

General Configuration Properties
Property | Description
--- | ---
`be.tea.agent.application.datastore` | Specifies path to the directory that contains the TIBCO BusinessEvents Enterprise Administrator Agent configuration datastore The default value is BE_HOME/teagent/config/repo.
`be.tea.agent.enable.gc.charts` | Specifies whether to enable additional views (Garbage collector and Memory Pool chart) The default value is false.
`be.tea.agent.jmx.port` | Specifies the port for JMX connection. The default value is 5566.
`be.tea.agent.jmx.usesingleport` | Optional. Specifies whether single port is used for the JMX connection. The default value is true.
`be.tea.agent.jmx.usessl` | Optional. Specifies whether SSL is enabled for the JMX connection. The default value is false.
`be.tea.agent.metric.compute.queue.size` | Optional. Specifies the job queue size for the metric computation jobs thread pool. Ensure that you set the properties value twice the value of `be.tea.agent.metric.worker.thread.count`. The default value is 64.
`be.tea.agent.metric.compute.thread.count` | Optional. Specifies the number of threads to perform the metrics computation jobs. Do not reduce to less than the number of hierarchies as defined in the schema. The default value is 32.
`be.tea.agent.metrics.rules.attr.map.file` | Do not change. Specifies path to the XML file that contains rules attribute and entity mapping configurations The default value is BE_HOME/teagent/config/RuleEntityAttrMap.xml.
`be.tea.agent.metrics.view.config.file` | Do not change. Specifies path to the XML file that contains monitoring views configurations The default value is BE_HOME/teagent/config/EntityMetricViewConfig.xml.
`be.tea.agent.poller.delay` | Optional. Specifies the application instances status poller interval (in milliseconds) The default value is 30000.
`be.tea.agent.port` | Specifies TIBCO BusinessEvents Enterprise Administrator Agent listening port The default value is 9777.
`be.tea.agent.resource.base` | Specifies path to the directory that contains TIBCO BusinessEvents Enterprise Administrator Agent web resources The default value is BE_HOME/teagent.
`be.tea.agent.retry.interval` | Optional. Specifies the interval (in milliseconds) after which TIBCO BusinessEvents Enterprise Administrator Agent retries to register to TIBCO Enterprise Administrator server The default value is 5000.
`be.tea.agent.rta.config.plugin.dir` | Do not change. Specifies path to the XML file which contains monitoring metric collector plugins configurations The default value is BE_HOME/teagent/config/plugins.
`be.tea.agent.rules.actions.scan.frequency` | Optional. Specifies the interval (in milliseconds) before scanning for rule actions The default value is 5000.
`be.tea.agent.schema.store` | Do not change. Specifies path to the directory from where the server loads the schema files The default value is BE_HOME/teagent/config/schema.
`be.tea.agent.view.beentity.config.file` | Do not change. Specifies path to the XML file that contains BusinessEvents entity monitoring configurations The default value is BE_HOME/teagent/config/BeEntityMap.xml.
`be.tea.agent.worker.queue.size` | Optional. Specifies the job queue size of various thread pools. Keep it low, because unless the queue is full, no new threads are added to the worker thread pool. The default value is 4.
`be.tea.agent.worker.thread.count` | Optional. Specifies the maximum number of worker threads for thread pools The default value is 16.
`be.tea.agent.worker.thread.count.min` | Optional. Specifies the minimum number of threads to retain in the thread pools even at non-peak loads Keep it less than or equal to `be.tea.agent.worker.thread.count`. The default value is 1.
`be.tea.agent.worker.thread.idle.timeout` | Optional. Specifies the time interval (in seconds) after which idle threads of the thread pool are stopped, till the thread count reaches the value of `be.tea.agent.worker.thread.count.min` . The default value is 300.
`be.tea.server.url` | Specifies TIBCO Enterprise Administrator server URL The default value is http://localhost:8777/tea.
`be.tea.agent.host` | Registers BE TEAgent with hostname on TEAServer. `be.tea.agent.host=<host name>` at BE_HOME\teagent\config\be-teagent.props.

## JMX Authentication Configurations

You can configure the JMX authentication properties to manage the JMX functionality and authentication.

JMX Authentication Properties
Property | Description
--- | ---
`be.tea.agent.jmx.enabled` | Enables or disables the JMX connection for TIBCO BusinessEvents Enterprise Administrator Agent. The valid values are true or false. The default value is true.
`be.tea.agent.jmx.authentication.type` | Specifies the type of authentication used. For the BusinessEvents Enterprise Administrator Agent JMX connections, only file-based authentication is supported. The default value is file.
`be.tea.agent.jmx.authentication.enabled` | Enables or disables the JMX authentication TIBCO BusinessEvents Enterprise Administrator Agent. The valid values are true or false. The default value is false.
`be.tea.agent.jmx.auth.file.location` | Specifies the absolute file path and name of the password file. This file is used for file-based authentication and stores users:passwords:roles details. Each project can have a different file.
`be.tea.agent.login.config.file.location` | Specifies the absolute filepath to the JAAS file.
`be.tea.agent.jmx.username` | Specifies the username for JMX authentication. This property is required for TIBCO BusinessEvents Enterprise Administrator Agent monitoring APIs when JMX authentication is enabled.
`be.tea.agent.jmx.password` | Specifies the password for JMX authentication. This property is required for TIBCO BusinessEvents Enterprise Administrator Agent monitoring APIs when JMX authentication is enabled. Note: You can use an encrypted JMX Password. You can encrypt the password using `studio-tools` encrypt utility.

## Log Action Configurations

Log Action Configuration Properties
Property | Description
--- | ---
`be.tea.agent.log.alert.format` | Specifies the format (XML or TEXT) in which the alert text is logged for the rule. The default value is TEXT
`be.tea.agent.log.level` | Specifies the logging level for TIBCO BusinessEvents Enterprise Administrator Agent. The following log levels are available: TRACE DEBUG INFO WARN ERROR FATAL The default value is INFO.

## Email Action Configurations

You can configure the SMTP server details in the properties file to execute the email action in the alert rule. See Creating an Alert Rule for more details on creating an alert rule.

Email Action Configuration Properties
Property | Description
--- | ---
`be.tea.agent.mail.from` | Specifies the email address to be used for sending the notification email
`be.tea.agent.mail.retry.count` | Optional. Specifies the number of times the server tries to send email The default value is 3.
`be.tea.agent.mail.retry.interval` | Optional. Specifies the interval (in milliseconds) before retrying to send the email The default value is 2000.
`be.tea.agent.mail.smtp.authentication` | Optional. Specifies whether the authentication is checked or not for the email server The default value is false.
`be.tea.agent.mail.smtp.host` | Specifies the host name of the SMTP email server
`be.tea.agent.mail.smtp.password` | Specifies the sender’s email password for authentication to email server
`be.tea.agent.mail.smtp.port` | Optional. Specifies the port at which the SMTP email server is listening The default value is 25.
`be.tea.agent.mail.smtp.user` | Specifies the sender’s username for authentication to email server

## SSH Configurations

You can provide the SSH connection-related configuration.

SSH Configuration Properties
Property | Description
--- | ---
`be.tea.agent.ssh.connection.timeout` | Specifies the SSH connection timeout (in milliseconds) The default value is 30000.
`be.tea.agent.ssh.kex.algorithm` | Specify the key exchange algorithm for password-less authentication. The values are: diffie-hellman-group1-sha1 diffie-hellman-group14-sha1 diffie-hellman-group-exchange-sha1 diffie-hellman-group-exchange-sha256
`be.tea.agent.ssh.privatekey.file` | Specifies the path to the private key file for password-less SSH authentication
`be.tea.agent.ssh.privatekey.passphrase` | Specifies passphrase to the private key file (if required) The default value is 3.

## Localization Configurations

You can specify configurations related to your local language.

Localization Configuration Properties
Property | Description
--- | ---
`be.tea.agent.message.file` | Specifies the file path to the BusinessEvents Enterprise Administrator agent messages file. See Localizing BusinessEvents Enterprise Administrator Agent Messages for details on how to use this property.

## Persistence Configurations

You can specify properties to persist the TIBCO BusinessEvents Enterprise Administrator Agent data in a non-heap memory or on a disk.

Note: Ensure to import the schema for a database you are using from the location BE_HOME\teagent\bin.

The schemas for Postgres and Oracle databases are included with TIBCO BusinessEvents.

Persistence Configuration Properties
Property | Description
--- | ---
`tea.agent.jdbc.driver` | Specifies driver name for a database
`tea.agent.jdbc.url` | Specifies connection URL for a database
`tea.agent.jdbc.user` | Specifies username to access a database
`tea.agent.jdbc.password` | Specifies password to access a database
`be.tea.agent.persistence.provider` | Set to `database` to persist TIBCO BusinessEvents Enterprise Administrator Agent data The default value is `memory`.

Did you find this helpful?

YesNo
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessEvents® Enterprise Edition

Copyright © 2004-2024. Cloud Software Group, Inc. All Rights Reserved.